aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2018-09-23 22:33:00 +0200
committerToni Uhlig <matzeton@googlemail.com>2018-09-23 22:33:00 +0200
commit885cbe9e1c3efc802c58a8d4cce84a9f4dd27899 (patch)
tree0eada0dd50d697642034018e867755aa0c266c75 /autogen.sh
parentb4711be4776c18fc68df289609260a38449ff6f0 (diff)
improved auto(re)conf handling
Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh15
1 files changed, 9 insertions, 6 deletions
diff --git a/autogen.sh b/autogen.sh
index f2b5774..385d17e 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,10 +1,13 @@
#!/bin/bash
-test -f ./Makefile && make distclean
+set -x
+set -e
-aclocal
-autoheader
-automake --force-missing --add-missing
-autoconf
+if ! autoreconf -i; then
+ aclocal
+ autoheader
+ automake --force-missing --add-missing
+ autoconf
+fi
-./configure $@ && make -j${BUILDJOBS:-4} all
+./configure $@ && make clean && make -j${BUILDJOBS:-4} all